Subject: RE: MIB Doctor review:draft-ietf-mpls-telink-mib-03.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Wed, 3 Sep 2003 14:30:52 +0200

Responses to those points where you had questions.
> > - I see:
> >     teLinkModuleReadOnlyCompliance MODULE-COMPLIANCE
> >       STATUS current
> >       DESCRIPTION
> >        "Compliance statement for agents that support the
> >         monitoring of TE link MIB module."
> >       MODULE -- this module
> >
> >       -- The mandatory groups have to be implemented
> >       -- by all devices supporting TE links. However, they may all
> >       -- be supported as read-only objects in the case where manual
> >       -- configuration is unsupported.
> >
> >       MANDATORY-GROUPS    { teLinkGroup,
> >                             teLinkBandwidthGroup,
> >                             componentLinkBandwidthGroup }
> >
> >    It seems to me that that all of those 4 comment lines are redundant.
> >    The idea of the MODULE-COMPLIANCE statements is that they are both
> >    human and machine readable.
> >
> 
> I am not sure I understand why the fact that the MODULE-COMPLIANCE
> statements are human and machine readable makes these 
> comments redundant.
> 
Well, let us check/evaluate:
    -- The mandatory groups have to be implemented
    -- by all devices supporting TE links.
Indeed... if you list MANDATORY-GROUPS, then they indeed HAVE to be
implemented. So that seems redundant to me

    -- However, they may all
    -- be supported as read-only objects in the case where manual
    -- configuration is unsupported.

And again, when you list the OBJECTs with a MIN-ACCESS read-only,
then that lists explicitly those objects that are OK to be
implemented in read-only mode. The DESCRIPTION clause of such
statements even spell out something aka "write access is not required".
So seems pretty redundant to me, no?

> >
> > - I see hyphenation. That is something the RFC-Editor does 
> >   not want/like.
> >
> 
> Hyphenation is done automatically with nroff. I don't know 
> how to turn it off.
> Any idea?
> 
Mmm... I am not an nroff expert. I suspect you have to turn it
on explicitly. These days I use xml2rfc tools. 
I used to take the RFC-Editors nroff template and build from there.
Details at:
http://www.rfc-editor.org/formatting.html

Further references:
   draft-rfc-editor-rfc2223bis-07.txt page 19, bullet (6)

Hope this helps,
Bert